define Device/FitImage
	KERNEL_SUFFIX := -fit-uImage.itb
	KERNEL = kernel-bin | gzip | fit gzip $$(DEVICE_DTS_DIR)/$$(DEVICE_DTS).dtb
	KERNEL_NAME := Image
endef

define Device/FitImageLzma
	KERNEL_SUFFIX := -fit-uImage.itb
	KERNEL = kernel-bin | lzma | fit lzma $$(DEVICE_DTS_DIR)/$$(DEVICE_DTS).dtb
	KERNEL_NAME := Image
endef

define Device/FitzImage
	KERNEL_SUFFIX := -fit-zImage.itb
	KERNEL = kernel-bin | fit none $$(DEVICE_DTS_DIR)/$$(DEVICE_DTS).dtb
	KERNEL_NAME := zImage
endef

define Device/UbiFit
	KERNEL_IN_UBI := 1
	IMAGES := nand-factory.ubi nand-sysupgrade.bin
	IMAGE/nand-factory.ubi := append-ubi
	IMAGE/nand-sysupgrade.bin := sysupgrade-tar | append-metadata
endef

define Device/cmiot_ax18
	$(call Device/FitImage)
	$(call Device/UbiFit)
	DEVICE_VENDOR := CMIOT
	DEVICE_MODEL := AX18
	BLOCKSIZE := 128k
	PAGESIZE := 2048
	DEVICE_DTS_CONFIG := config@cp03-c1
	SOC := ipq6018
endef
TARGET_DEVICES += cmiot_ax18

define Device/linksys_mr7350
	$(call Device/FitImage)
	$(call Device/UbiFit)
	DEVICE_VENDOR := Linksys
	DEVICE_MODEL := MR7350
	BLOCKSIZE := 128k
	PAGESIZE := 2048
	SOC := ipq6018
	DEVICE_PACKAGES := kmod-leds-pca963x
endef
TARGET_DEVICES += linksys_mr7350

#define Device/cp01-c1
#	$(call Device/FitImage)
#	DEVICE_VENDOR := Qualcomm Technologies
#	DEVICE_MODEL := AP-CP01-C1
#	SOC := ipq6018
#endef
#TARGET_DEVICES += cp01-c1

#define Device/eap610-outdoor
#	$(call Device/FitImage)
#	$(call Device/UbiFit)
#	DEVICE_VENDOR := TP-Link
#	DEVICE_MODEL := EAP610-Outdoor
#	BLOCKSIZE := 128k
#	PAGESIZE := 2048
#	SOC := ipq6018
#	IMAGE/nand-factory.ubi := append-ubi | qsdk-ipq-factory-nand
#endef
#TARGET_DEVICES += eap610-outdoor

define Device/360_v6
	$(call Device/FitImage)
	$(call Device/UbiFit)
	DEVICE_VENDOR := Qihoo 360
	DEVICE_MODEL := V6
	BLOCKSIZE := 128k
	PAGESIZE := 2048
	DEVICE_DTS_CONFIG := config@cp03-c1
	DEVICE_PACKAGES := ath11k-wifi-qihoo_v6
	SOC := ipq6018
endef
TARGET_DEVICES += 360_v6

define Device/zn_m2
	$(call Device/FitImage)
	$(call Device/UbiFit)
	DEVICE_VENDOR := ZN
	DEVICE_MODEL := M2
	BLOCKSIZE := 128k
	PAGESIZE := 2048
	DEVICE_DTS_CONFIG := config@cp03-c1
	SOC := ipq6018
endef
TARGET_DEVICES += zn_m2
